class Vector:
    """Vector(x, y, z)

    klasa koja definise vektore i operacije nad njima"""
    def __init__(self, x = 0, y = 0, z = 0):
        self.x = x
        self.y = y
        self.z = z
    def __str__(self):
        return 'Vector(' + str(self.x) + ', ' \
        + str(self.y) + ', ' + str(self.z) +  ')'
    def __add__(self, other):
        return Vector(self.x + other.x, self.y + \
        other.y, self.z + other.z)		
    def __sub__(self, other):
        return Vector(self.x - other.x, \
        self.y - other.y, self.z - other.z)
    def sv(a, b):
	    return a + b
    def __neg__(self):
        return Vector(-self.x, -self.y, -self.z)
    def pr(self):
        print(self)
    def absval(self):
        return math.sqrt(self.x ** 2 + \
        self.y ** 2 + self.z ** 2)
    def vecprod(self, other):
        x = self.y * other.z - self.z * other.y
        y = self.x * other.z - self.z * other.x
        z = self.x * other.y - self.y * other.x
        return Vector(x, y, z)
    def dotprod(a, b):
        dp = a.x * b.x + a.y * b.y + a.z * b.z
        return dp
    def scalprod(self, other):
        return Vector(self.x * other, \
        self.y * other, self.z * other)
    def __mul__(self, other):
        return Vector.dotprod(self, other)
    def __rmul__(self, other):
        return Vector.scalprod(self, other)
    def __cmp__(self, other):
        a = self.absval()
        b = other.absval()
        if a > b:
            return 1
        elif a < b:
            return -1
        else:
            return 0

i = Vector(1, 0, 0)
j = Vector(0, 1, 0)
k = Vector(0, 0, 1)

